import { useEffect, useState } from "preact/hooks";

export function Home() {
  const [loading, setLoading] = useState(true);
  const [mcPath, setMcPath] = useState("");

  useEffect(() => {
    document.title = "BearMetal Packer";
    
    fetch("/api/dir").then(res => res.json()).then(data => {
      setMcPath(data);
      setLoading(false);
    });
  }, []);
  
  return (
    <div class="grid h-full">
      <div class="place-self-center text-center">
        <h1 class="text-3xl">Welcome BearMetal Packer</h1>
        <p>An all in one toolkit to build datapacks for Minecraft.</p>
        <p>Hold tight, we're doing some heavy lifting.</p>
      </div>
    </div>
  )
}